Subject: Re: question about homework

From: Chee Yap <[email-masked]>
Date: Fri, 17 Sep 1999 15:17:12 -0400 (EDT)

Joaquin,

Good question.

I will cc this email to the class.
[NOTE: in general, if you send me an email,
and you want to make sure I do not cc my answer
to the class, you should say so in your email...]

The question is (see below) "why insist that the class
in hw1 be called "fact"?

If you follow our instructions for hw1,
then regardless of how WE choose to name your java file,
the RESULT of compiling the file will ALWAYS be
a file called fact.class.  [This is a feature of the
Java compiler!]

We can then test fact.class automatically (e.g., call
a shell script that assumes this name).

Otherwise, we have to see if you called your class
   Factorial    (which conflicts with our example)
   or factorial (remember that Java is case sensitive)
   or FACT 
   or Fact 
   or Fac 
   or fac 
   or f 
   or F, 
   or HW1,
   or hw1,
   etc.

--Chee

> From [email-masked] Fri Sep 17 13:45 EDT 1999
> Date: Fri, 17 Sep 1999 13:43:28 -0400
> From: Joaquin Grech <[email-masked]>
> X-Accept-Language: en
> To: Chee Yap <[email-masked]>
> Subject: question about homework
> 
> Hi!
> 
> You said we can't send attachments with the email to the homework, but
> latter
> on on that page:
> GENERAL RULE ABOUT PROGRAMMING ASSIGNMENTS: if your program does not
> compile, you get 0 point.
>      We suggest carefully worded comments (multiline comments, /* ...
> */, as well as single line type, //). Make sure your
>      program is called "fact.java", because this simplifies our grading
> task.
> 
> what does it matters to call it fact.java or not? I mean, it is going to
> be a plain text email
> and we are not going to actually name the program.
> 
> Thanks
> Joaquin Grech
> ---------------------------------------------------------------
> !     C r e a t i v i t y     M u s t    S u r v i v e        !
> ---------------------------------------------------------------
> !  Fido: 2:341/19.67                 Euronet: 25:928/100.67   !
> !  Internet: [email-masked]                            !
> !  Http://www.creative1.net                  Ya me direis :)   !
> ---------------------------------------------------------------
> 
> 
>